[Debian-in-commits] [SCM] Git repository for debian-in branch, master, updated. bce8f1f5fcbec15d38a5b0ceb8e2ef080610a5f0

Muneeb Shaikh iammuneeb at gmail.com
Sun Jan 8 17:49:30 UTC 2012


The following commit has been merged in the master branch:
commit bce8f1f5fcbec15d38a5b0ceb8e2ef080610a5f0
Author: Muneeb Shaikh <iammuneeb at gmail.com>
Date:   Sun Jan 8 23:19:21 2012 +0530

    better error handling if no succesfull build

diff --git a/docs/build-fonts.sh b/docs/build-fonts.sh
index b6bd99f..2aad656 100755
--- a/docs/build-fonts.sh
+++ b/docs/build-fonts.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-set -e
+#set -e
 
 if [ $# -ne 1 ];then
     echo "Please Give me absolute path to the directory to look for font package repos"
@@ -8,6 +8,9 @@ fi
 
 FOLDER=$1
 
+if [ -f ${FOLDER}/font-build.log ]; then
+    rm -f ${FOLDER}/font-build.log
+fi
 sudo echo "I want to take sudo password to work without bothering you :)"
 
 for package in $(ls -d $FOLDER/fonts-*);do
@@ -20,9 +23,18 @@ builder = git-pbuilder -sa -uc -us
 export-dir = $FOLDER/font_builds
 tarball-area = $FOLDER/tarballs" > .git/gbp.conf
         git-buildpackage --git-pristine-tar --git-ignore-new
+        if [ $? -ne 0 ]; then
+            echo "ERROR: Error in building `basename ${package}`" >> ${FOLDER}/font-build.log
+            rm .git/gbp.conf
+            cd $FOLDER
+            continue
+        else
+            echo "SUCCESS: Seuccessfully built `basename ${package}`" >> ${FOLDER}/font-build.log 
+        fi
         rm .git/gbp.conf
         cd $FOLDER
     fi
 done
 
 echo "Built all fonts succesfully. Find it in the $FOLDER"
+echo "Check the log for any errors in ${FOLDER}/font-build.log"

-- 
Git repository for debian-in



More information about the Debian-in-commits mailing list